Skip to content

Exchange Result Notification

  • Endpoint: POST /exchangeResultNotifyUrl
  • Tags: Forex(New)

Description

You do not need to request this url. The following request.body is the callback content from PayerMax regarding the order status. You need to respond with {"msg": "Success","code": "SUCCESS"} upon receiving the callback. For API-initiated flexible FX transaction only.

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Required

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
appIdstringYesThe unique identifier assigned to the merchant app by PayerMax
codestringYesAPPLY_SUCCESS means this is a valid callback.
dataobjectYes
data.accountInfoobjectYes
data.accountInfo.buyFundsAccountNostringYesBuy funds account number,Funds will be credited to this account upon successful transaction
data.accountInfo.sellFundsAccountNostringYesSell funds account number,Funds will be debited from this account upon successful transaction
data.ccyPairstringYes(= transaction currency + target currency)
data.completeTimestringYesCompletion time
data.outTradeNostringYesMerchant order id
data.ratestringYes(1 transaction currency = ? target currency)
data.rateReferenceIdstringYes
data.sidestringYes
data.statusstringYesPROCESSING: Processing SUCCESS: Success FAILED: Failed
data.targetAmountstringYesTarget amount
data.targetCurrencystringYesTarget currency
data.tradeNostringYesPlatform order number
data.transactionAmountstringYesTransaction amount
data.transactionCurrencystringYesTransaction currency
keyVersionstringYesCurrent value: 1
msgstringYesValid notification description:Success.
notifyTimestringYesNotification time, in line with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX.
notifyTypestringYesEXCHANGE
versionstringYesCurrent value:1.0

Example

json
{
  "appId": "dcd915175dca42a8bad45cdac6f08522",
  "code": "APPLY_SUCCESS",
  "data": {
    "accountInfo": {
      "buyFundsAccountNo": "P25101038985",
      "sellFundsAccountNo": "P25101038984"
    },
    "ccyPair": "USDPHP",
    "completeTime": "2025-12-05T12:56:37.000Z",
    "outTradeNo": "20251201004059PO66350070490846T04",
    "rate": "58.56637500",
    "rateReferenceId": "tieredBatchId0076176493939752933802672",
    "side": "SELL",
    "status": "SUCCESS",
    "targetAmount": "58624.94",
    "targetCurrency": "PHP",
    "tradeNo": "20251205125637TU9495336408000531T05",
    "transactionAmount": "1001.00",
    "transactionCurrency": "USD"
  },
  "keyVersion": "1",
  "msg": "Success",
  "notifyTime": "2026-04-01T13:27:11.689Z",
  "notifyType": "EXCHANGE",
  "version": "1.0"
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
msgstringYes
codestringYes

Response Example

json
{
  "msg": "Success",
  "code": "SUCCESS"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.